// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
nz-modal([(nzVisible)]="isVisible", nzTitle="Select results", [nzWidth]="800", (nzOnCancel)="handleCancel()", (nzOnOk)="handleOk()")
  ng-container(*nzModalContent)
    p Set here the most important data of your workflow. The results are the data that are returned by the API when your workflow is defining an API.

    form(nz-form, [formGroup]="form")
      nz-radio-group.type-selector(formControlName="resultType")
        nz-form-control
          label(nz-radio, nzValue="JSON") JSON
          label(nz-radio, nzValue="FileOrDir") File or Directory
        p Keys
          span Values
        nz-form-item(*ngFor="let result of (results$ | async)!.workflow_results; let i = index", [formGroupName]="'result-' + i")
          nz-form-control
            input.ryax-key(nz-input, type="text", formControlName="key", placeholder="The key")
            nz-select.ryax-value(formControlName="value", nzPlaceHolder="Select value")
              ng-container(*ngIf="editionType === 'JSON'")
                nz-option(*ngFor="let output of (everyOutput$ | async)", [nzValue]="output.value", [nzLabel]="output.label")
              ng-container(*ngIf="editionType === 'FileOrDir'")
                nz-option(*ngFor="let output of (everyFileOrDirOutput$ | async)", [nzValue]="output.value", [nzLabel]="output.label")
            button(nz-button, nzType="primary", nzDanger, (click)="removeResult(i)")
              i(nz-icon, nzType="delete", nzTheme="outline")
        button(nz-button, nzType="default", (click)="addResult()") Add result


